> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/vaults/get-addresses-paginated",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get addresses (Paginated)

> Returns a paginated response of the addresses for a given vault account and asset.
Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /vault/accounts/{vaultAccountId}/{assetId}/addresses_paginated
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /vault/accounts/{vaultAccountId}/{assetId}/addresses_paginated:
    get:
      tags:
        - Vaults
      summary: Get addresses (Paginated)
      description: >-
        Returns a paginated response of the addresses for a given vault account
        and asset.

        Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor,
        Viewer.
      operationId: getVaultAccountAssetAddressesPaginated
      parameters:
        - in: path
          name: vaultAccountId
          required: true
          description: The ID of the vault account to return
          schema:
            type: string
            format: numeric
            x-fb-entity: vault_account
        - in: path
          name: assetId
          required: true
          description: The ID of the asset
          schema:
            type: string
            x-fb-entity: asset
        - in: query
          name: limit
          required: false
          schema:
            type: number
        - in: query
          name: before
          required: false
          schema:
            type: string
        - in: query
          name: after
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A paginated list of addresses, and pagination info.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAddressResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<PaginatedAddressResponse>> =
            fireblocks.vaults.getVaultAccountAssetAddressesPaginated(vaultsApiGetVaultAccountAssetAddressesPaginatedRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<PaginatedAddressResponse>> response =
            fireblocks.vaults().getVaultAccountAssetAddressesPaginated(vaultAccountId,
            assetId, limit, before, after);
        - lang: Python
          source: >-
            response =
            fireblocks.vaults.get_vault_account_asset_addresses_paginated(vault_account_id,
            asset_id, limit, before, after);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    PaginatedAddressResponse:
      type: object
      properties:
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/VaultWalletAddress'
        paging:
          type: object
          properties:
            before:
              description: >-
                A string representing a cursor. Users can use this with a new
                request to this API endpoint as the “before” request parameter
                to fetch the previous page of results.
              type: string
            after:
              description: >-
                A string representing a cursor. Users can use this with a new
                request to this API endpoint as the “after” request parameter to
                fetch the next page of results.
              type: string
    VaultWalletAddress:
      type: object
      properties:
        assetId:
          type: string
          x-fb-entity: asset
        address:
          type: string
        description:
          type: string
        tag:
          type: string
        type:
          type: string
        customerRefId:
          type: string
        addressFormat:
          type: string
          enum:
            - SEGWIT
            - LEGACY
            - BASE
            - PAYMENT
        legacyAddress:
          type: string
        enterpriseAddress:
          type: string
        bip44AddressIndex:
          type: integer
        userDefined:
          type: boolean
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````